
QGIS Application - Bug report #17024

Identify Tool gives false hits for layers with spatial index (MS SQL)

2017-08-17 06:11 AM - Martin Bain

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: Data Provider/MSSQL

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Win7 32 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24923

Description

Since updating to osgeo 2.18.11 the Identify tool has been randomly selecting objects well outside the 2mm search radius.

I deleted the .qgis folder from my user profile and also deleted the QGIS registry key, but that didn't solve the problem.  Nor did creating a

new project from scratch.

More testing has shown the behavior only occurs with layers where the "Create spatial index" button has been clicked.  Dropping the

index restores normal behaviour for the layer.  Re-Adding the index causes the erratic behavior to reappear.

I have selected "Map Tools" as the category for this bug report.  It may be specific to the MSSQL provider.  I only have MS SQL layers to

test against.

History

#1 - 2017-08-17 06:59 AM - Martin Bain

Forgot to say I was using 2.18.9 before updating.

#2 - 2017-08-17 01:59 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#3 - 2017-09-04 03:03 AM - Damien Smith

Can confirm this.  Even with search radius set to 0, all objects within 20-30 map units are identified.  Only appears to affect MSSQL layers with spatial

index as stated.  No other formats are affected.

#4 - 2018-02-12 11:28 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#5 - 2018-10-02 10:16 PM - Nyall Dawson

- Category changed from Map Tools to Data Provider/MSSQL

#6 - 2018-10-02 10:33 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.2 and report if the issue still exists
#7 - 2018-10-03 12:05 AM - Damien Smith

Issue no longer exists in QGIS 3.

#8 - 2018-10-03 01:08 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Thanks for the confirmation!

#9 - 2019-01-03 11:07 AM - Lukasz Sychowicz

Nyall Dawson wrote:

Please test with 3.2 and report if the issue still exists

that's right, in version 3.x there is no this bug, but not everyone uses version 3.x. Is it really impossible to fix this for version 2.18 LTR?

Why it is marked as fixed despite it is not?
